# CollectDuplexSeqMetrics v1.2.0

## Version of tools in docker image

| Tool | Version | Location |
| :--- | :--- | :--- |
| fgbio | 1.2.0 | quay.io/biocontainers/fgbio:1.2.0--0 |

## CWL

* CWL specification 1.0
* Use example\_inputs.yaml to see the inputs to the cwl
* Example Command using [toil](https://toil.readthedocs.io):

```bash
    > toil-cwl-runner fgbio_collect_duplex_seq_metrics_1.2.0.cwl example_inputs.yaml
```

## Usage

```bash
usage: fgbio_collect_duplex_seq_metrics_1.2.0.cwl
       [-h] [--memory_per_job MEMORY_PER_JOB]
       [--memory_overhead MEMORY_OVERHEAD]
       [--number_of_threads NUMBER_OF_THREADS] --input INPUT --output_prefix
       OUTPUT_PREFIX [--intervals INTERVALS] [--description DESCRIPTION]
       [--duplex_umi_counts DUPLEX_UMI_COUNTS] [--min_ab_reads MIN_AB_READS]
       [--min_ba_reads MIN_BA_READS] [--umi_tag UMI_TAG] [--mi_tag MI_TAG]
       [job_order]

positional arguments:
  job_order             Job input json file

optional arguments:
  -h, --help            show this help message and exit
  --memory_per_job MEMORY_PER_JOB
                        Memory per job in megabytes
  --memory_overhead MEMORY_OVERHEAD
                        Memory overhead per job in megabytes
  --number_of_threads NUMBER_OF_THREADS
  --input INPUT         Input BAM file generated by GroupReadByUmi.
  --output_prefix OUTPUT_PREFIX
                        Prefix of output files to write.
  --intervals INTERVALS
                        Optional set of intervals over which to restrict
                        analysis. [Optional].
  --description DESCRIPTION
                        Description of data set used to label plots. Defaults
                        to sample/library. [Optional].
  --duplex_umi_counts DUPLEX_UMI_COUNTS
                        If true, produce the .duplex_umi_counts.txt file with
                        counts of duplex UMI observations. [Optional].
  --min_ab_reads MIN_AB_READS
                        Minimum AB reads to call a tag family a 'duplex'.
                        [Optional].
  --min_ba_reads MIN_BA_READS
                        Minimum BA reads to call a tag family a 'duplex'.
                        [Optional].
  --umi_tag UMI_TAG     The tag containing the raw UMI. [Optional].
  --mi_tag MI_TAG       The output tag for UMI grouping. [Optional].
```

